<?php
/**
 * Plugin Name: Easy Theme Child
 * Plugin URI:  shresthagarvit.wordpress.com
 * Description: A fast and easy child theme generator in just one click.
 * Version:     1.0.3
 * Author:      Garvit Shrestha
 * License:     GPLv3
 * License URI: https://www.gnu.org/licenses/gpl-3.0.en.html
 * Text Domain: grtsth_easy_child_theme
 *
 * @package easy-child-theme
 */

/**
 * =========================
 * Exit if accessed directly.
 * =========================
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * =========================================
 * Enqueue styles and scripts for admin side.
 * =========================================
 */
function grtsth_easy_child_theme_enqueue_styles() {
	// Styles.
	wp_enqueue_style( 'grtsth_easy_child_theme_main_admin_style', plugin_dir_url( __FILE__ ) . 'assets/admin-style.css', array(), '1.0.0' );

	// Scripts.
	wp_enqueue_script( 'grtsth_easy_child_theme_main_admin_scripts', plugin_dir_url( __FILE__ ) . 'assets/admin-scripts.js', array(), '1.0.0', true );
}
add_action( 'admin_menu', 'grtsth_easy_child_theme_enqueue_styles' );

/**
 * ===========================
 * Add menu to admin dashboard
 * ===========================
 */
function grtsth_easy_child_theme_add_menu_page() {
	$icon_url = plugin_dir_url( __FILE__ ) . '/assets/img/icon.svg';
	add_menu_page(
		'Easy Child Theme',
		'Easy Child Theme',
		'manage_options',
		'grtsth_easy_child_theme',
		'grtsth_easy_child_theme_add_menu_page_cb',
		$icon_url,
		75
	);
}
add_action( 'admin_menu', 'grtsth_easy_child_theme_add_menu_page' );

/**
 * Callback function for add_menu_page
 *
 * @return void
 */
function grtsth_easy_child_theme_add_menu_page_cb() {
	require_once plugin_dir_path( __FILE__ ) . '/inc/resources.php';
}
